package edu.travel.commodity.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.commodity.entity.ShopSpec;
import edu.travel.remote.dto.SpecDto;
import edu.travel.remote.vo.ProductSpecInsertShopSpecVo;
import edu.travel.remote.vo.SpecVo;
import edu.travel.rpc.RPCBaseResponse;

import java.util.List;


public interface ShopSpecService extends IService<ShopSpec> {


    Page<SpecVo> getShopSpec(Long countryId, Integer currentPage, Integer pageSize);


    RPCBaseResponse<ProductSpecInsertShopSpecVo> insertOrUpdate(SpecDto specDto);

    RPCBaseResponse<List<SpecVo>> getSpecName(String specName);
}
